# Matrix Sticker Picker

[![Matrix room](https://img.shields.io/badge/matrix-%23stickers%3Abaguette.party-715bc1)
](https://matrix.to/#/#stickers:baguette.party)
[![Forked from maunium's stickerpicker](https://img.shields.io/badge/forked%20from-maunium's%20stickerpicker-d6d635)](https://github.com/maunium/stickerpicker)

## Preview

Previews of the sticker picker with the different themes, and different accent colors applied (see section below), as well as different counts of stickers per row.

| Light theme + Default accent | Dark theme + Pink accent | Black theme + Pink accent |
| ---------------------------- | ------------------------ | ------------------------- |
| ![Light theme](images/preview-light.png) | ![Dark theme](images/preview-dark.png) | ![Black theme](images/preview-black.png) |

## Additional configuration

It is possible to provide optional URL params for extended configuration :

- `?config=<link to an index.json file>`
  - allows to use an external `index.json` file (see [packs/README.md](packs/README.md))
  - this overrides the `web/packs/index.json` file
- `?theme=[$theme|default|light|black|dark]`
  - provides the theme to use for the sticker picker
  - `$theme` matches the theme of your Element client
- `?color=<hex code without the #>`
  - provides a new accent color for the sticker picker
